<div align="center">
    <br />
    <a href="https://github.com/dcastil/tailwind-merge">
        <!-- AUTOGENERATED VERSION START -->
        <img src="https://github.com/dcastil/tailwind-merge/raw/52acec13aed9478341633a232f82712441c501bc/assets/logo.svg" alt="tailwind-merge" width="221px" />
        <!-- AUTOGENERATED END -->
    </a>
</div>

# tailwind-merge

Utility function to efficiently merge [Tailwind CSS](https://tailwindcss.com) classes in JS without style conflicts.

```ts
import { twMerge } from 'tailwind-merge'

twMerge('px-2 py-1 bg-red hover:bg-dark-red', 'p-3 bg-[#B91C1C]')
// → 'hover:bg-dark-red p-3 bg-[#B91C1C]'
```

-   Supports Tailwind v3.0 up to v3.1 (if you use Tailwind v2, use [tailwind-merge v0.9.0](https://github.com/dcastil/tailwind-merge/tree/v0.9.0))
-   Works in Node >=12 and all modern browsers
-   Fully typed
-   [Check bundle size on Bundlephobia](https://bundlephobia.com/package/tailwind-merge)

## Get started

<!-- AUTOGENERATED VERSION START -->

-   [What is it for](https://github.com/dcastil/tailwind-merge/tree/52acec13aed9478341633a232f82712441c501bc/docs/what-is-it-for.md)
-   [Features](https://github.com/dcastil/tailwind-merge/tree/52acec13aed9478341633a232f82712441c501bc/docs/features.md)
-   [Configuring tailwind-merge](https://github.com/dcastil/tailwind-merge/tree/52acec13aed9478341633a232f82712441c501bc/docs/configuring-tailwind-merge.md)
-   [API reference](https://github.com/dcastil/tailwind-merge/tree/52acec13aed9478341633a232f82712441c501bc/docs/api-reference.md)
-   [Writing plugins](https://github.com/dcastil/tailwind-merge/tree/52acec13aed9478341633a232f82712441c501bc/docs/writing-plugins.md)
-   [Versioning](https://github.com/dcastil/tailwind-merge/tree/52acec13aed9478341633a232f82712441c501bc/docs/versioning.md)
-   [Contributing](https://github.com/dcastil/tailwind-merge/tree/52acec13aed9478341633a232f82712441c501bc/.github/CONTRIBUTING.md)
-   [Similar packages](https://github.com/dcastil/tailwind-merge/tree/52acec13aed9478341633a232f82712441c501bc/docs/similar-packages.md)

<!-- AUTOGENERATED END -->
